Login attempts fail on Linux after install but work on Windows.



  • Hi,

    After installing nodebb on my Ubuntu VM with the latest stable software (0.6.1), I'm unable to login or register new accounts. I'm running Ubuntu 14.04.2 LTS, with Node.js v0v0.10.38, latest npm. No luck with Mongo or Redis (both latest versions) on Linux. Setting up on Windows works flawlessly but I kinda need this to run on Linux. I've been searching around the forums here and online but found no solution yet. I did read about an AJAX timeout somewhere but I can't see where to adjust it. Below is a screenshot of what I'm getting. Any help much appreciated.Screenshot_2015-05-11-00-51-35.png

    Logs

    This program comes with ABSOLUTELY NO WARRANTY.                              This is free software, and you are welcome to redistribute it under certain conditions.
    For the full license, please visit: http://www.gnu.org/copyleft/gpl.html
    Clustering enabled: Spinning up 1 process(es).
    11/5 00:49 [4130] - info: Time: Mon May 11 2015 00:49:07 GMT+1000 (AEST)
    11/5 00:49 [4130] - info: Initializing NodeBB v0.6.1
    11/5 00:49 [4130] - info: NodeBB is now listening on: 0.0.0.0:4567
    11/5 00:50 [4130] - info: NodeBB Ready
    

  • GNU/Linux

    Are you connecting directly to nodebb or are you using apache/nginx to proxy the connection?


  • Gamers

    Hello,

    I get similiar problem on using MongoDB. Login panel does not appear on MongoDB but appears on Redis. I am using Windows Server 2008 R2. I don't understand why.


  • GNU/Linux

    @Ali Sounds like nodebb can't connect to mongo. Have you looked at the nodebb logs?



  • @KingCat This is both directly and through an Nginx 1.8.0 proxy. Also different browsers and Chrome's incognito on different devices (including my PC) give the same result.



  • Ok, erasing everything and switch to GIT branch 0.5.x did the trick. I'm currently using v0.5.7 with Redis and all is well. There's definitely something funny about v0.6.1 on Ubuntu that does not login. Haven't upgraded yet but not sure if I should. Any ideas anyone. @julian


  • Admin

    Annoying... v0.6.x shouldn't magically break because it's a stable branch, but it has been known to happen, since the dependencies for databases are not locked down.

    I'll give it a shot today.



  • @julian Any luck with this? I tried upgrading last night and bricked nodeBB again.



  • Solved: upgrade to NodeBB v0.7.0.


 

Suggested Topics

| |